Implement first phase of map event logging
Closed, ResolvedPublic

Description

Based on T144239 and https://meta.wikimedia.org/wiki/Schema:Kartographer,

The first phase puts:

  • 1:100 (1%) of users in the test group.
  • 99% of users are not being tested.

Amongst this test group, the first phase triggers these events:

typeper-event samplingdescriptionoptional durationoptional extra
xview1:100user views this feature without explicit interaction to startnoroute(string)
xopen1:1user opens this featurenoroute(string)
xhashopen1:1user was lead to a URL with map hash, resulting in a fullscreen map being displayednoroute(string)
xclose1:1end of feature usageyesroute(string)
xsidebar-show1:1show sidebar in full screennoroute(string)
xsidebar-hide1:1hide sidebar in full screennoroute(string)
xsidebar-click1:1click on one of the ext service in the infoboxnoroute(string), service(string), type(string)
xsidebar-type1:1switch shown infobox types to a different onenoroute(string), type(string)

List of events not triggered yet:

  • drag: user dragged the map around
  • zoom: user changed zoom
  • marker-click: user clicked/tapped on a marker on map
  • shape-click: user clicked/tapped on a geoshape overlay
  • map-click: user clicked/tapped on map
  • discovery: user goes to another page thanks to this feature
  • activate: for mapframe's static snapshot, user clicked to interact with the map
  • wv-warn - external data viewing warning is shown
  • wv-warn-agree - external data viewing was accepted
  • wv-warn-reject - external data viewing was rejected
  • wv-select-wmflayer - switched to wmflayer
  • wv-select-exlayer - switched to non-wmf layer (after warning)
  • wv-show-layer - a wmf layer was enabled
  • wv-hide-layer - a wmf layer was hidden
  • wv-show-exlayer - an external layer was enabled
  • wv-hide-exlayer - an external layer was hidden
  • wv-show-nearby - nearby markers button was pushed (enabled)
  • wv-hide-nearby - nearby markers button was pushed (disabled)"
Restricted Application added a project: Discovery. · View Herald TranscriptOct 25 2016, 10:19 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
JGirault moved this task from Backlog to In progress on the Maps-Sprint board.Oct 25 2016, 10:19 PM

Change 317995 had a related patch set uploaded (by JGirault):
Implement first phase of map event logging.

https://gerrit.wikimedia.org/r/317995

Change 317996 had a related patch set uploaded (by JGirault):
Implement first phase of Kartographer event logging.

https://gerrit.wikimedia.org/r/317996

JGirault updated the task description. (Show Details)Oct 25 2016, 10:32 PM
mpopov added a subscriber: mpopov.Oct 26 2016, 5:35 PM
debt added a subscriber: debt.Oct 26 2016, 5:55 PM
MaxSem moved this task from Needs triage to Maps on the Discovery board.Oct 26 2016, 9:22 PM

Change 317996 merged by jenkins-bot:
Implement first phase of Kartographer event logging.

https://gerrit.wikimedia.org/r/317996

Change 317995 merged by jenkins-bot:
Implement first phase of map event logging.

https://gerrit.wikimedia.org/r/317995

Please remember to involve the analysts in Discovery (@mpopov and @chelsyx) in the creation of schemas to log user behaviour; they're experts in that, so it may save time in the future if they can suggest things to add. They're a resource for you to use so that you can focus your efforts, but it's significantly harder for them to get involved if they've not been involved from the start.

JGirault closed this task as Resolved.Nov 2 2016, 7:15 PM

(Few) events are being collected, so first phase is completed. Can close this as resolved.

K4-713 added a subscriber: K4-713.Nov 3 2016, 6:16 PM
Deskana moved this task from Needs review to Done on the Maps-Sprint board.Apr 19 2017, 4:27 PM